<div class="min-w-full p-2">
    <form class="flex flex-col w-full" [formGroup]="frmSupplierGroup" (ngSubmit)="onFormSubmit(frmSupplierGroup.value)">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                New Supplier Invitation List
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

                <div class="w-full">
                    <div class="flex w-full">
                        <div class="w-full" formArrayName="supplierGroupViewModels"> <!-- added new -->
                            <div *ngFor="let item of supplierGroupViewModels.controls; let i=index"><!-- added new -->
                                <div [formGroupName]="i" class="flex flex-col"><!-- added new -->
                                    <div class="flex w-full items-end">
                                        <mat-form-field class="w-1/2 pr-2">
                                            <mat-label>Invitation List Title</mat-label>
                                            <input matInput formControlName="title"/>
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-1/2 px-2">
                                            <mat-label>Invitation List Name</mat-label>
                                            <input matInput formControlName="name" />
                                            <!-- <mat-error>
                                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                                            </mat-error> -->
                                        </mat-form-field>
                                        <mat-form-field class="w-1/4 pl-2">
                                            <mat-label>Select Type</mat-label>
                                            <mat-select formControlName="isPrivate">                                                
                                                <ng-container>
                                                    <mat-option [value]=true>Private</mat-option>
                                                    <mat-option [value]=false>Public</mat-option>
                                                </ng-container>
                                            </mat-select>
                                        </mat-form-field>
                                    </div>
                                    <div class="flex flex-col w-full">
                                        <button *ngIf="supplierGroupViewModels.controls.length-1==i" type="button"  class="sm:inline-flex mr-auto" mat-stroked-button [color]="'primary'" (click)="addSupplierList()">
                                            <mat-icon class="icon-size-5 ml-8 mr-2" [svgIcon]="'heroicons_outline:plus-circle'"></mat-icon>
                                            <span class="mr-8">Add List</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="flex flex-col justify-start mt-5">
                    <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                        <span>{{'Successfully saved'}}</span>
                    </div>
                    <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                        <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                        <span>{{'Something went wrong'}}</span>
                    </div>
                </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Save</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
